# Awesome Fabric [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

>  collection of best resources for hyperledger fabric development

Notice: [hyperledger-archives](https://github.com/hyperledger-archives/fabric) is deporacated! please use this [fabric](https://github.com/hyperledger/fabric) repo instead.

*Please read the [contribution guidelines](.github/contributing.md) before contributing.*

## Contents
- [架构](#Architect)
- [教程](#tutorials)
- [API](#api)
- [SDK](#SDK)
- [示例](#Examples)

## Architect

### v0.6

- [Fabric代码分析](https://yeasy.gitbooks.io/hyperledger_code_fabric/content/) 未完成

### v1.0

- [Hyperledger架构解读：Hyperledger Fabric1.0架构概览](http://www.wanbizu.com/blockchain/201702078984.html)
- [Blockchain区块链架构设计之四：Fabric多通道和下一代账本设计](https://zhuanlan.zhihu.com/p/24605987)
- [Blockchain区块链架构设计之六：Fabric 1.0账本设计（1）](https://zhuanlan.zhihu.com/p/25119939)
- [Blockchain区块链架构设计之七：Fabric 1.0 Endorse背书策略](https://zhuanlan.zhihu.com/p/25295608)
- [Hyperledger Fabric 示意图](http://www.jianshu.com/p/a7df2c1c30d4)
- [Fabric Gossip源码分析](http://www.jianshu.com/p/82db9b2fa197)
- [Fabric-CA-1.0-Alpha小结](http://www.jianshu.com/p/ec7d4216c3cf)

## Tutorials

### v0.6

- [Fabric Basics](https://github.com/angrbrd/hyperledger-fabric-basics)  use official Docker tootlbox to setup chaincode dev environment
- [Learn Chaincode](https://github.com/IBM-Blockchain/learn-chaincode) basic chaincode example intro and running
- [Marbles Project Tutorial: Part One](https://github.com/IBM-Blockchain/marbles/blob/master/docs/tutorial_part1.md)
- [Marbles Project Tutorial: Part Two](https://github.com/IBM-Blockchain/marbles/blob/master/docs/tutorial_part2.md)
- [v0.6 Fabric Dev Env Setup](https://github.com/hyperledger/fabric/blob/v0.6/docs/Setup/Chaincode-setup.md) three official ways to setup chaincode dev environment
- [v0.6 Start A Fabric Network](https://github.com/hyperledger/fabric/blob/v0.6/docs/Setup/Network-setup.md)
- [v0.6 Fabric CA Setup](https://github.com/hyperledger/fabric/blob/v0.6/docs/Setup/ca-setup.md)
- [v0.6 Fabric NodeJS SDK Guide](https://github.com/hyperledger/fabric/blob/v0.6/docs/nodeSDK/node-sdk-guide.md)

### v1.0
- [Hyperledger Fabric V1.0– 开发者快速入门](https://zhuanlan.zhihu.com/p/25070745) 这个是基于baseos 0.2.2 的
- [搭建运行Fabric V1.0-alpha版本](http://blog.csdn.net/kojhliang/article/details/66971404)
- [Fabric v1.0-alpha 开发镜像编译](http://blog.csdn.net/remote_roamer/article/details/70228662)
- [Fabric-CA-1.0-Alpha 小结](http://www.jianshu.com/p/ec7d4216c3cf?winzoom=1.125)
- [Hyperledger Composer使用入门](http://www.jianshu.com/p/7bc258810b77)
- [hyperledger fabric本地开发环境mac部署](https://my.oschina.net/wtsoftware/blog/789164)

## API

- [Fabric Official Docs](https://hyperledger-fabric.readthedocs.io/en/latest/) Fabric官方最新文档
- [浮白](http://fubai.tech/)  Fabric开发环境搭建与codechain入门
- [yeasy的专栏](http://blog.csdn.net/yeasy) IBM fabric核心开发者yeasy的专栏
- [菜鸟的博客](http://blog.csdn.net/xjmtxwd24/) fabric0.6及1.0源码分析
- [jiang_xinxing的博客](http://blog.csdn.net/jiang_xinxing/article/category/6642179) fabric0.6源码分析

## SDK

- [Hyperledger Fabric API](https://github.com/hyperledger/fabric-api)
- [Fabric Java SDK](https://github.com/hyperledger/fabric-sdk-java)
- [Fabric Python SDK](https://github.com/hyperledger/fabric-sdk-py)
- [Fabric Nodejs SDK](https://github.com/hyperledger/fabric-sdk-node)
- [IBM Nodejs SDK](https://github.com/IBM-Blockchain/ibm-blockchain-js)
- [IBM fabric boilerplate](https://github.com/IBM-Blockchain/fabric-boilerplate)
- [Composer](https://github.com/hyperledger/composer) 官方可视化Fabric应用开发框架
- [Hyperledger hackathon](https://github.com/timblankers/hyperledger-hackathon)
- [Fabric with graphql](https://github.com/entria/hyperledger-fabric-graphql-boilerplate)

## Examples

- [Fabric Explorer](https://github.com/hyperledger/blockchain-explorer)
- [cp-web](https://github.com/IBM-Blockchain/cp-web)
- [marbles](https://github.com/IBM-Blockchain/marbles) 官方示例

## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Chaozh](http://www.chaozh.com) has waived all copyright and related or neighboring rights to this work.
